## org.eclipse.datatools.sqltools.sqlbuilder.views.select
Class GroupByContentViewer.GroupingSetContentHolder

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer.Holder
          org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer.GroupingSetContentHolder

Enclosing class:
  GroupByContentViewer

    public class GroupByContentViewer.GroupingSetContentHolder

extends GroupByContentViewer.Holder

GroupingSetContentHolder

Constructor Summary
`GroupByContentViewer.GroupingSetContentHolder(GroupingSets grpSet, java.lang.Object set)`

Method Summary
`void` `create(java.lang.String objectType)`
`void` `createGrouping()`
`void` `createSuperGroup(java.lang.String groupType)`
`void` `empty()`
`QueryValueExpression` `getExpression()`
`GroupingSets` `getGroupingSet()`
`void` `setExpression(QueryValueExpression newExpression)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer.Holder
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupByContentViewer.GroupingSetContentHolder

    public GroupByContentViewer.GroupingSetContentHolder(GroupingSets grpSet,
                                                         java.lang.Object set)

Method Detail

### getGroupingSet

    public GroupingSets getGroupingSet()

### getExpression

    public QueryValueExpression getExpression()

  Specified by:
    `getExpression` in class `GroupByContentViewer.Holder`

### setExpression

    public void setExpression(QueryValueExpression newExpression)

  Specified by:
    `setExpression` in class `GroupByContentViewer.Holder`

### createSuperGroup

    public void createSuperGroup(java.lang.String groupType)

### createGrouping

    public void createGrouping()

### empty

    public void empty()

  Specified by:
    `empty` in class `GroupByContentViewer.Holder`

### create

    public void create(java.lang.String objectType)

  Specified by:
    `create` in class `GroupByContentViewer.Holder`